openrct2 (0.5.2+ds-1) unstable; urgency=medium

  * New upstream release
    - Rebase patches as needed

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 07 Jun 2026 12:38:46 +0000

openrct2 (0.5.1+ds-1) unstable; urgency=medium

  * New upstream release
    - Rebase patches as needed

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 17 May 2026 13:32:35 +0000

openrct2 (0.5.0+ds-1) unstable; urgency=medium

  * New upstream release:
    - Switch from duktape to quickjs-ng for the JavaScript engine
    - Rebase/drop patches as needed
  * d/control:
    - Update Standards-Version to 4.7.4, no changes needed
    - Update minimum required version of openrct2-objects
  * Drop maybe-not-arch-all-binnmuable lintian override
  * Update d/watch to v5

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 12 Apr 2026 17:45:31 +0000

openrct2 (0.4.32+ds-1) unstable; urgency=medium

  * New upstream release:
    - Cherry-pick upstream fix for nullptr dereference
    - Rebase d/p/001-display-changelog.patch
  * d/control
    - Update Build-Depends
  * d/rules
    - Update cmake variable name to disable downloading music zip

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 01 Mar 2026 18:08:58 +0000

openrct2 (0.4.31+ds-1) unstable; urgency=medium

  * New upstream release:
    - Rebase d/p/002-use-system-sdl2-ttf.patch
    - Update minimum required version of openrct2-objects

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 01 Feb 2026 16:39:55 +0000

openrct2 (0.4.30+ds-1) unstable; urgency=medium

  * New upstream release:
    - Drop armel/mipsel patch as those architectures have been removed
    - Rebase d/p/002-use-system-sdl2-ttf.patch
  * d/control
    - Update Standards-Version to 4.7.3, drop Priority field
  * d/rules
    - Properly turn off version check logic
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 04 Jan 2026 16:30:03 +0000

openrct2 (0.4.29+ds-1) unstable; urgency=medium

  * New upstream release
    - Bump minimum required version of openrct2-objects

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 25 Nov 2025 03:42:41 +0000

openrct2 (0.4.28+ds-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 01 Nov 2025 20:49:40 +0000

openrct2 (0.4.27+ds-1) unstable; urgency=medium

  * New upstream release
    - Update install path for renamed appdata.xml
  * d/control:
    - Update minimum required version of openrct2-title-sequences
    - Drop redundant Rules-Requires-Root

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 04 Oct 2025 21:13:29 +0000

openrct2 (0.4.26+ds-1) unstable; urgency=medium

  * New upstream release
    - Bump minimum required version of openrct2-objects
    - Rebase d/p/003-use-system-duktape.patch

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 07 Sep 2025 14:14:48 +0000

openrct2 (0.4.25+ds-1) unstable; urgency=medium

  * Upload changes from experimental to unstable

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 10 Aug 2025 12:27:52 +0000

openrct2 (0.4.25+ds-1~exp1) experimental; urgency=medium

  * New upstream release
    - Bump minimum required versions of openrct2-objects, openrct2-openmsx,
      and openrct2-opensfx

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 03 Aug 2025 13:48:29 +0000

openrct2 (0.4.24+ds-1~exp1) experimental; urgency=medium

  * New upstream release
    - Bump minimum required version of openrct2-objects

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 06 Jul 2025 18:58:23 +0000

openrct2 (0.4.23+ds-1~exp1) experimental; urgency=medium

  * New upstream release
    - Rebase patches as needed

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 07 Jun 2025 14:57:57 +0000

openrct2 (0.4.22+ds-1~exp1) experimental; urgency=medium

  * New upstream release
    - Drop patch to disable version check and rely on new cmake flag
    - Rebase patches as needed

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 04 May 2025 19:37:24 +0000

openrct2 (0.4.21+ds-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update minimum required version of openrct2-objects
    - Update Standards-Version to 4.7.2 (no changes needed)
  * Drop two removed source files from d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 05 Apr 2025 22:54:45 +0000

openrct2 (0.4.20+ds-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.1 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 25 Feb 2025 23:49:14 +0000

openrct2 (0.4.19.1+ds-1) unstable; urgency=medium

  * New upstream release
    - Drop patch applied upstream

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 04 Feb 2025 16:35:04 +0000

openrct2 (0.4.19+ds-1) unstable; urgency=medium

  * New upstream release
    - Add patch to guard against possible null pointer dereferences flagged
      by GCC
    - Rebase patches as needed
    - Update minimum required version of openrct2-objects

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 02 Feb 2025 21:17:05 +0000

openrct2 (0.4.18+ds-1) unstable; urgency=medium

  * New upstream release
    - Rebase patches as needed
    - Update minimum required version of openrct2-objects
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 09 Jan 2025 01:50:40 +0000

openrct2 (0.4.17+ds-1) unstable; urgency=medium

  * New upstream release
    - Rebase patches as needed
    - Update minimum required version of openrct2-objects
  * Update d/copyright to cover additional third-party libraries

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 10 Dec 2024 01:19:49 +0000

openrct2 (0.4.16+ds-1) unstable; urgency=medium

  * New upstream release
    - Drop patch applied upstream
  * d/control:
    - Build-Depend on architecture-is-little-endian, rather than manually
      updating list of build architectures
    - Update minimum required version of openrct2-objects
  * debputy: Fix wildcard in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 04 Nov 2024 00:12:41 +0000

openrct2 (0.4.15+ds-1) unstable; urgency=medium

  * New upstream release
    - Rebase patches as needed
    - Update minimum required version of openrct2-objects

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 06 Oct 2024 20:01:09 +0000

openrct2 (0.4.14+ds-1) unstable; urgency=medium

  * New upstream release
    - Update minimum required versions of openrct2-openmsx and
      openrct2-title-sequences

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 01 Sep 2024 21:52:31 +0000

openrct2 (0.4.13+ds-1) unstable; urgency=medium

  * New upstream release
    - Rebase patches as needed
    - Update minimum required version of openrct2-objects

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 05 Aug 2024 03:29:15 +0000

openrct2 (0.4.12+ds-1) unstable; urgency=medium

  * New upstream release
    - Rebase patches as needed
  * Update minimum required version of openrct2-objects in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 07 Jul 2024 17:17:07 +0000

openrct2 (0.4.11+ds-1) unstable; urgency=medium

  * New upstream release
    - Rebase patches as needed
  * d/control:
    - Update Standards-Version to 4.7.0 (no changes needed)
    - Update minimum required version of openrct2-objects

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 05 May 2024 19:24:56 +0000

openrct2 (0.4.10+ds-1) unstable; urgency=medium

  * New upstream release
    - Rebase patches as needed
  * Update minimum required version of openrct2-objects in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 02 Apr 2024 22:46:55 +0000

openrct2 (0.4.9+ds-2) unstable; urgency=medium

  * Add patch to fix FTBFS on i386

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 03 Mar 2024 16:00:27 +0000

openrct2 (0.4.9+ds-1) unstable; urgency=medium

  * New upstream release
    - Rebase patches as needed
  * Enable Discord RPC integration
  * d/control:
    - Update Build-Depends for pkgconf
    - Update minimum required version of openrct2-objects and openrct2-opensfx
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 03 Mar 2024 04:05:43 +0000

openrct2 (0.4.8+ds-1) unstable; urgency=medium

  * New upstream release
    - Rebase patches as needed
  * d/control: Remove arc from Architectures

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 04 Feb 2024 16:27:04 +0000

openrct2 (0.4.7+ds-1) unstable; urgency=medium

  * New upstream release
    - Drop/refresh patches as needed
  * Update minimum required versions of openrct2-objects and openrct2-openmsx
  * Add a couple default paths for game assets installed with
    `game-data-packager` and mention in d/README.Debian

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 31 Dec 2023 18:38:10 +0000

openrct2 (0.4.6+ds-1) unstable; urgency=medium

  * New upstream release
    - Add/refresh/drop patches as needed
  * d/control:
    - Update/sort Build-Depends
    - Update supported architectures
    - Bump minimum required version of openrct2-title-sequences

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 03 Sep 2023 17:52:14 +0000

openrct2 (0.4.5+ds-1) unstable; urgency=medium

  * Upload to unstable
  * Add openrct2-openmsx and openrct2-opensfx as Recommends in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 11 Jun 2023 14:09:16 +0000

openrct2 (0.4.5+ds-1~exp1) experimental; urgency=medium

  * New upstream release
    - Refresh patches as needed
  * Bump minimum required version of openrct2-objects in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 09 May 2023 00:27:18 +0000

openrct2 (0.4.4+ds-1~exp1) experimental; urgency=medium

  * New upstream release
    - Refresh/drop/add patches as needed
  * Update years in d/copyright
  * d/control:
    - Update Build-Depends on libfontconfig1-dev => libfontconfig-dev
    - Drop versioned Build-Depends on nlohmann-json3-dev
    - Bump Standards-Version
    - Bump minimum required version of openrct2-objects

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 29 Mar 2023 03:02:55 +0000

openrct2 (0.4.3+ds-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches as needed
  * d/control:
    - Update my email
    - Add zenity to Recommends for a nicer first-run prompt to select original
      game files
    - Bump minimum required version of openrct2-objects
  * Disable OpenMusic and OpenSFX downloads during build, and add a note to
    d/README.Debian
  * Update default branch to debian/sid in d/gbp.conf

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 16 Dec 2022 02:01:16 +0000

openrct2 (0.4.2+ds-1) unstable; urgency=medium

  [ Mathias Gibbens ]
  * New upstream release
    - Remove openrct2.exe from Files-Excluded in d/copyright, as it's no
      longer included in the releases
  * Correct license text in d/copyright to reflect GPLv3 only, not "or (at
    your option) any later version"
  * Fix d/watch after GitHub changes
  * Update lintian overrides

  [ Debian Janitor ]
  * Refer to common license file for CC0-1.0.

 -- Mathias Gibbens <mathias@calenhad.com>  Thu, 06 Oct 2022 02:28:11 +0000

openrct2 (0.4.1+ds-3) unstable; urgency=medium

  * Add a patch to work around -Wstringop-overflow and -Warray-bounds errors
    with current gcc, but only seen on armel and armhf builds

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 26 Aug 2022 19:42:03 +0000

openrct2 (0.4.1+ds-2) unstable; urgency=medium

  * Add a patch to work around -Wnull-dereference error with current gcc
    (Closes: #1017596)
  * Add d/salsa-ci.yml

 -- Mathias Gibbens <mathias@calenhad.com>  Thu, 25 Aug 2022 21:30:56 +0000

openrct2 (0.4.1+ds-1) unstable; urgency=medium

  * New upstream version
    - Refresh patches as needed
    - Add a patch to work around maybe-uninitialized warning with current gcc
  * Update Standards-Version to 4.6.1 (no change needed)
  * Update Build-Depends and Depends

 -- Mathias Gibbens <mathias@calenhad.com>  Mon, 04 Jul 2022 20:13:08 +0000

openrct2 (0.4.0+ds-2) unstable; urgency=medium

  * Fix build on armel, mipsel and ppc64el architectures

 -- Mathias Gibbens <mathias@calenhad.com>  Sat, 07 May 2022 23:28:20 +0000

openrct2 (0.4.0+ds-1) unstable; urgency=medium

  * New upstream version:
    - Add/remove/refresh patches as needed
    - Update required versions of objects and title-sequences in d/control
    - Update Files-Excluded in d/copyright

 -- Mathias Gibbens <mathias@calenhad.com>  Mon, 25 Apr 2022 19:12:43 +0000

openrct2 (0.3.5.1+ds-3) unstable; urgency=medium

  * Update d/control to only list little-endian architectures
  * Fix FTBFS in unstable (Closes: #1004902)
  * Add d/gbp.conf
  * Update years in d/copyright

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 04 Feb 2022 01:34:13 +0000

openrct2 (0.3.5.1+ds-2) unstable; urgency=medium

  * Move AppStream metadata file into the openrct2 package from openrct2-data.
  * Add DEB_LDFLAGS_MAINT_APPEND to d/rules to address blhc warnings.

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 03 Dec 2021 23:41:30 +0000

openrct2 (0.3.5.1+ds-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches as needed

 -- Mathias Gibbens <mathias@calenhad.com>  Mon, 22 Nov 2021 22:44:19 +0000

openrct2 (0.3.4.1+ds-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches as needed
  * Bump Standards-Version to 4.6.0.1 (no changes needed).
  * Include copy of contributors.md.gz in /usr/share/doc/opencrt2-data/ per
    ftpmaster's request.

 -- Mathias Gibbens <mathias@calenhad.com>  Mon, 25 Oct 2021 12:51:25 +0000

openrct2 (0.3.3+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #808945)

 -- Mathias Gibbens <mathias@calenhad.com>  Wed, 24 Mar 2021 21:26:49 +0000
